Package: groovy.lang

## [Java] Class MetaClassCreationHandle

- groovy.lang.MetaClassRegistry.MetaClassCreationHandle

- Class used as base for the creation of MetaClass implementations. The Class defaults to MetaClassImpl, if the class loading fails to find a special meta class. The name for such a meta class would be the class name it is created for with the prefix "groovy.runtime.metaclass." By replacing the handle in the registry you can have any control over the creation of what MetaClass is used for a class that you want to have. WARNING: experimental code, likely to change soon

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `disableCustomMetaClassLookup`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetaClass` | `create(Class theClass, MetaClassRegistry registry)` Creates a metaclass implementation for theClass.
    `` | `protected MetaClass` | `createNormalMetaClass(Class theClass, MetaClassRegistry registry)`
    `` | `boolean` | `isDisableCustomMetaClassLookup()` Returns whether custom meta classes are disabled.
    `` | `void` | `setDisableCustomMetaClassLookup(boolean disableCustomMetaClassLookup)` Set flag saying to disable lookup of custom meta classes It's enough to call this method only once in your application for handle which was set in to registry as every new handle will inherit this property

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean disableCustomMetaClassLookup

  - ### Method Detail

    - #### public final MetaClass create(Class theClass, MetaClassRegistry registry)

      Creates a metaclass implementation for theClass.

      Parameters:
        `theClass` - The class to create a metaclass for
        `registry` - The metaclass registry the metaclass we be registered in.

    - #### protected MetaClass createNormalMetaClass(Class theClass, MetaClassRegistry registry)

    - #### public boolean isDisableCustomMetaClassLookup()

      Returns whether custom meta classes are disabled.

    - #### public void setDisableCustomMetaClassLookup(boolean disableCustomMetaClassLookup)

      Set flag saying to disable lookup of custom meta classes It's enough to call this method only once in your application for handle which was set in to registry as every new handle will inherit this property

      Parameters:
        `disableCustomMetaClassLookup` - flag saying to disable lookup of custom meta classes